using UnityEngine;

namespace Assets.Scripts.Gameplay
{
    public class GearboxController : MonoBehaviour
    {
        private int _position;

        void Awake()
        {
            Debug.Log("Awake Gearbox");
            FindChildren(transform);
        }

        void FindChildren(Transform obj)
        {
            Debug.Log("find children");
            foreach (Transform child in transform)
            {
                Debug.Log(obj.name);
            }
        }

        void Start()
        {
            Debug.Log("Start gearbox");
            _position = 4;
        }
    }
}
